Subject: bug#55205: 28.1.50; completion--replace illegally mutates completion candidates

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 May 2022 20:39:12 +0300

> Cc: Daniel Mendler <[email-masked]>, [email-masked]
> Date: Sun, 01 May 2022 13:07:31 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I think it's safe enough for `emacs-28`, but I can't claim it's
> "obviously safe", the way I could about that same `copy-sequence` in
> `cl-generic.el`.

I can: it isn't.  Changes in the bowels of completion, in code that
worked like that for 10 years, safe for the release branch? really?